MDB_DROP(1)

NAME
mdb_drop - LMDB database delete tool

SYNOPSIS
mdb_drop [-V] [-n] [-d] [-m module [-w password]] [-s subdb] envpath

DESCRIPTION
The mdb_drop utility empties or deletes a database in the specified environment.

OPTIONS

-V  Write the library version number to the standard output, and exit.

-n  Operate on an LMDB database which does not use subdirectories.

-d  Delete the specified database, don't just empty it.

-m module
    Load the specified dynamic module to utilize cryptographic functions. This is required to operate on environments that have been configured with page-level checksums or encryption.

-w password
    Specify the password for an encrypted environment. This is only used if a cryptography module has been loaded.

-s subdb
    Operate on a specific subdatabase. If no database is specified, only the main database is dropped.

DIAGNOSTICS
Exit status is zero if no errors occur. Errors result in a non-zero exit status and a diagnostic message being written to standard error.

AUTHOR
Howard Chu of Symas Corporation <http://www.symas.com>